TransformationAbstraction
Keywords: uk.ac.ic.doc.automed.reps.TransformationAbstraction class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.reps
Class TransformationAbstraction

    java.lang.Object
      uk.ac.ic.doc.automed.reps.TransformationAbstraction

All Implemented Interfaces:
  PersistentObject

    public class TransformationAbstraction

extends java.lang.Object
implements PersistentObject

TransformationAbstraction.java Represents only an abstraction of the transformation

Author:
  Duc M Le dmle@doc.ic.ac.uk Created on 03 May 2006 Department of Computing, Imperial College

Constructor Summary
`TransformationAbstraction(Transformation trans)` Creates a new instance of TransformationAbstraction

Method Summary
`java.lang.String` | `debugString()` Print content
`static TransformationAbstraction` | `deserialise(java.util.Map pa)` This method guarantees that a PersistentObject can be deserialised properly from its own set of persistent attributes.
`PersistentKey` | `getKey()`
`java.util.Map` | `getPersistentAttributes()` Only return an abstraction of the transformation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransformationAbstraction

    public TransformationAbstraction(Transformation trans)

  Creates a new instance of TransformationAbstraction

Method Detail

### getKey

    public PersistentKey getKey()

  Specified by:
    `getKey` in interface `PersistentObject`

### getPersistentAttributes

    public java.util.Map getPersistentAttributes()

  Only return an abstraction of the transformation

  Specified by:
    `getPersistentAttributes` in interface `PersistentObject`
  See Also:
    `PersistentObject.getPersistentAttributes()`

### deserialise

    public static TransformationAbstraction deserialise(java.util.Map pa)
                                                 throws java.lang.IllegalArgumentException

  This method guarantees that a PersistentObject can be deserialised properly from its own set of persistent attributes. It is a reverse of `getPersistentAttributes()`

  Parameters:
    `pa` - a `HashMap` of persistent attributes (created by {@link #getPersistentAttributes())
  Throws:
    `java.lang.IllegalArgumentException`

### debugString

    public java.lang.String debugString()

  Print content

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD